BURP(1)

NAME
burp - an AUR uploader

SYNOPSIS
burp [options] packages...

DESCRIPTION
burp is a simple tool to upload packages to the AUR. It is written in C and only depends on libcurl for its functionality.

Invoking burp consists of supplying any applicable options and one or more packages. Packages are tarballs generated by makepkg's --source operation.

OPTIONS

-u USER, --user=USER
    AUR login username. If omitted and not specified in the config file, you will be prompted to enter this at runtime.

-p PASSWORD, --password=PASSWORD
    AUR login password. If omitted and not specified in the config file, you will be prompted to enter this at runtime.

-c CAT, --category=CAT
    Specify CAT to assign to uploaded packages. This should only be specified once. If specified multiple times, the last will take precedence. If this option is not specified, the category will default to type 'None' for new taurballs and the current category for updated taurballs. A list of valid categories can be obtained by invoking the -c flag with 'help'.

-C FILE, --cookies=FILE
    FILE is the path in which to store cookies instead of the default temporary file. If this file exists and is in valid Netscape cookie file format, login to the AUR will be attempted using these cookies. Also see the -k option.

-k, --keep-cookies
    Cookies will be persistent and reused for logins. If you specify this option, you must also provide a cookie file path with the -C option or in the config file.

-v, --verbose
    Be more verbose. Pass this option twice to see debug info.

CONFIGURATION
burp will look for a config file located at $XDG_CONFIG_HOME/burp/burp.conf and read default options from it in key=value format. Valid keys are:

    User      = USER
    Password  = PASSWORD
    Cookies   = FILE
    Persist

These should all be self explanatory. Comments, if desired, can be specified by starting a line with a #. Command line options will always take precedence over options specified in the config file.

AUTHOR
Dave Reisner <d@falconindy.com>